Bug 607618 - Get rid of the annoying gefacl messages
Summary: Get rid of the annoying gefacl messages
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: beakerlib   
(Show other bugs)
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Petr Šplíchal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-24 13:43 UTC by Petr Šplíchal
Modified: 2016-06-01 01:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-25 13:53:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
trivial patch fixing getfacl & backup test bug (1.48 KB, patch)
2010-06-24 13:43 UTC, Petr Šplíchal
no flags Details | Diff

Description Petr Šplíchal 2010-06-24 13:43:33 UTC
Created attachment 426576 [details]
trivial patch fixing getfacl & backup test bug

Description of problem:

While running rlFileBackup() I see the following getfacl messages
repeated in the output:

    getfacl: Removing leading '/' from absolute path names
    getfacl: Removing leading '/' from absolute path names
    getfacl: Removing leading '/' from absolute path names
    ...

The list can be quite long if backing up deep paths. Solution for
this is to use the -p option. A simple patch attached. Contains
also a trivial fix for an old backup test bug:

    Usage: setfacl [-bkndRLP] { -m|-M|-x|-X ... } file ...
    Try `setfacl --help' for more information.

Unit tests run, passed. OK to push?

Comment 1 Petr Šplíchal 2010-07-27 09:52:02 UTC
Anybody can review?

Comment 2 Jan Hutař 2010-07-27 10:09:59 UTC
Patch seems good and might be applied.

Comment 3 Bug Zapper 2010-07-30 12:13:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Petr Šplíchal 2010-11-04 09:18:03 UTC
Thanks for the review, pushed to git:

http://git.fedorahosted.org/git/?p=beakerlib.git;a=commitdiff;h=f6522d6

Comment 5 Martin Cermak 2011-03-21 12:46:58 UTC
What about applying this patch to production beakerlib?

Comment 6 Petr Muller 2011-03-21 12:57:41 UTC
Should be present in latest beakerlib, I just did not updated the bugzilla.

Comment 8 Petr Muller 2012-07-25 13:53:32 UTC
Closing, this should be in for a long time.


Note You need to log in before you can comment on or make changes to this bug.